| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
BOOST_CONVERTER_s Struct Reference

BOOST control & monitoring data structure. More...

`#include <power_control/devices/dev_boost_typedef.h>`

Collaboration diagram for BOOST_CONVERTER_s:

## Data Fields
volatile struct BOOST_CONVERTER_STATUS_s | status
| BOOST operation status bits. More...
volatile struct BOOST_STATE_ID_s | state_id
| BOOST state machine operating state ID. More...
volatile struct BOOST_CONVERTER_STARTUP_s | startup
| BOOST startup timing settings. More...
volatile struct BOOST_CONVERTER_SETTINGS_s | set_values
| Control field for global access to references. More...
volatile struct BOOST_CONVERTER_DATA_s | data
| BOOST runtime data. More...
volatile struct BOOST_FEEDBACK_SETTINGS_s | feedback
| BOOST converter feedback settings. More...
volatile struct BOOST_SWITCH_NODE_SETTINGS_s | sw_node [BOOST_MPHASE_COUNT]
| BOOST converter switch node settings. More...
volatile struct BOOST_GPIO_SETTINGS_s | gpio
| BOOST converter additional GPIO specification. More...
volatile struct BOOST_LOOP_SETTINGS_s | v_loop
| BOOST voltage control loop object. More...
volatile struct BOOST_LOOP_SETTINGS_s | i_loop [BOOST_MPHASE_COUNT]
| BOOST Current control loop objects. More...

## Detailed Description

BOOST control & monitoring data structure.

Definition at line 527 of file dev_boost_typedef.h.

## Field Documentation

## ◆ data

volatile struct BOOST_CONVERTER_DATA_s data

BOOST runtime data.

Definition at line 533 of file dev_boost_typedef.h.

## ◆ feedback

volatile struct BOOST_FEEDBACK_SETTINGS_s feedback

BOOST converter feedback settings.

Definition at line 534 of file dev_boost_typedef.h.

## ◆ gpio

volatile struct BOOST_GPIO_SETTINGS_s gpio

BOOST converter additional GPIO specification.

Definition at line 537 of file dev_boost_typedef.h.

## ◆ i_loop

volatile struct BOOST_LOOP_SETTINGS_s i_loop[BOOST_MPHASE_COUNT]

BOOST Current control loop objects.

Definition at line 540 of file dev_boost_typedef.h.

## ◆ set_values

volatile struct BOOST_CONVERTER_SETTINGS_s set_values

Control field for global access to references.

Definition at line 532 of file dev_boost_typedef.h.

## ◆ startup

volatile struct BOOST_CONVERTER_STARTUP_s startup

BOOST startup timing settings.

Definition at line 531 of file dev_boost_typedef.h.

## ◆ state_id

volatile struct BOOST_STATE_ID_s state_id

BOOST state machine operating state ID.

Definition at line 530 of file dev_boost_typedef.h.

## ◆ status

volatile struct BOOST_CONVERTER_STATUS_s status

BOOST operation status bits.

Definition at line 529 of file dev_boost_typedef.h.

## ◆ sw_node

volatile struct BOOST_SWITCH_NODE_SETTINGS_s sw_node[BOOST_MPHASE_COUNT]

BOOST converter switch node settings.

Definition at line 536 of file dev_boost_typedef.h.

## ◆ v_loop

volatile struct BOOST_LOOP_SETTINGS_s v_loop

BOOST voltage control loop object.

Definition at line 539 of file dev_boost_typedef.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/power_control/devices/dev_boost_typedef.h